Package org.apache.any23.extractor.html

## Class HReviewExtractorTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.html.HReviewExtractorTest

-     public class HReviewExtractorTest
      extends AbstractExtractorTestCase

  Reference Test class for the `HReviewExtractor` extractor.
  Author:
    Davide Palmisano (dpalmisano@gmail.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HReviewExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `test01Basic()` |
    `void` | `test02RatedTags()` |
    `void` | `test03NoHcardForItem()` |
    `void` | `test04NoHcardForItem()` |
    `void` | `testCaseSensitiveness()` | This test is the same defined in `test04NoHcardForItem()` but assess the behavior in presence of a Microformat name with a different letter capitalization.
    `void` | `testNoMicroformats()` |

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HReviewExtractorTest

          public HReviewExtractorTest()

  - ### Method Detail

    - #### getExtractorFactory

          protected ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.

    - #### testNoMicroformats

          public void testNoMicroformats()
                                  throws Exception

      Throws:
        `Exception`

    - #### test01Basic

          public void test01Basic()
                           throws Exception

      Throws:
        `Exception`

    - #### test02RatedTags

          public void test02RatedTags()
                               throws Exception

      Throws:
        `Exception`

    - #### test03NoHcardForItem

          public void test03NoHcardForItem()
                                    throws Exception

      Throws:
        `Exception`

    - #### test04NoHcardForItem

          public void test04NoHcardForItem()
                                    throws Exception

      Throws:
        `Exception`

    - #### testCaseSensitiveness

          public void testCaseSensitiveness()
                                     throws Exception

      This test is the same defined in `test04NoHcardForItem()` but assess the behavior in presence of a Microformat name with a different letter capitalization.
      Throws:
        `Exception` - if there is an error asserting the test data.